Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-59603

Please support latest stable distros, Debian 11 for example

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major - P3
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: Backlog
    • Component/s: None
    • Operating System:
      ALL

      Description

      Hello,

      It's been several days since Debian 11 release (current stable); their release cycle started with package freeze at 2021-01-12. At this moment, it has been enough time (7 months!) to compile and put the packages into the repository for this distro, so there's no reason to not have it available.

      The result for this lateness comes with a price: we are not using MongoDB for a project that starts today at my company, as the policy is to use the latest stable Debian distro (11/bullseye currently). We are not using docker for this client.

      Please, take into the account that since SSPL, you are the only option to put MongoDB for those who want a trusted origin and don't want to compile their own binaries, as every major distro has kicked mongodb from their repositories for legal reasons.

      Thank you

        Attachments

          Activity

            People

            Assignee:
            backlog-server-build Backlog - Build Team
            Reporter:
            gerard.monells@gmail.com Gerard Monells
            Participants:
            Votes:
            2 Vote for this issue
            Watchers:
            7 Start watching this issue

              Dates

              Created:
              Updated: